package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairDispatchRecord;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.DisReceCountVo;
import com.repair.model.vo.RepairCardNumberVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairDispatchRecordService extends IService<RepairDispatchRecord> {
    int insertRepairDispatchRecord(RepairDispatchRecord rns);

    int updateRepairDispatchRecord(RepairDispatchRecord rns);

    PageUtils<RepairDispatchRecord> queryPageRepairDispatchRecords(int currentPage, int pageCount, String name);

    int deleteRepairDispatchRecordById(int id);

    RepairDispatchRecord getRepairById(int id);

    List<RepairDispatchRecord> getRepairs();

    List<RepairCardNumberVo> queryRepairCardNumber(Integer recordId);

    List<RepairDispatchRecord> queryRepairDispatch(List<Integer> recordIds);

    int queryDispatchCount(Integer recordId);

    RepairDispatchRecord queryOwnRepairDispatch(Integer recordId, Integer userId);

    boolean insertDispatchBatch(List<RepairDispatchRecord> rdr);

    boolean updateDispatchBatch(List<RepairDispatchRecord> rdr);

    List<RepairDispatchRecord> queryDispatchByRecordId(Integer recordId);

    int updateDispatch(Integer recordId, RepairDispatchRecord rdr);

    DisReceCountVo queryDisReceCount(Integer userId);
}
